"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const shared_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = ["width", "height"];
const _hoisted_2 = ["stroke"];
const _hoisted_3 = ["stroke", "points"];
const _hoisted_4 = ["stroke", "points"];
const _hoisted_5 = ["stroke", "points"];
const _hoisted_6 = ["stroke"];
const _hoisted_7 = ["stroke", "points"];
const _hoisted_8 = ["stroke", "points"];
const _hoisted_9 = ["stroke", "points"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", {
        class: "go-border-box",
        style: shared_esmBundler.normalizeStyle(`
      box-shadow: inset 0 0 40px ${reactivity_esmBundler.unref(colors)[0]}; 
      border: 1px solid ${reactivity_esmBundler.unref(colors)[1]};
      background-color: ${reactivity_esmBundler.unref(backgroundColor)};
    `)
      }, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `0, 25 0, 0 25, 0`
          }, null, 8, _hoisted_2),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `${reactivity_esmBundler.unref(w) - 25}, 0 ${reactivity_esmBundler.unref(w)}, 0 ${reactivity_esmBundler.unref(w)}, 25`
          }, null, 8, _hoisted_3),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `${reactivity_esmBundler.unref(w) - 25}, ${reactivity_esmBundler.unref(h)} ${reactivity_esmBundler.unref(w)}, ${reactivity_esmBundler.unref(h)} ${reactivity_esmBundler.unref(w)}, ${reactivity_esmBundler.unref(h) - 25}`
          }, null, 8, _hoisted_4),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-2",
            stroke: reactivity_esmBundler.unref(colors)[0],
            points: `0, ${reactivity_esmBundler.unref(h) - 25} 0, ${reactivity_esmBundler.unref(h)} 25, ${reactivity_esmBundler.unref(h)}`
          }, null, 8, _hoisted_5),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `0, 10 0, 0 10, 0`
          }, null, 8, _hoisted_6),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `${reactivity_esmBundler.unref(w) - 10}, 0 ${reactivity_esmBundler.unref(w)}, 0 ${reactivity_esmBundler.unref(w)}, 10`
          }, null, 8, _hoisted_7),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `${reactivity_esmBundler.unref(w) - 10}, ${reactivity_esmBundler.unref(h)} ${reactivity_esmBundler.unref(w)}, ${reactivity_esmBundler.unref(h)} ${reactivity_esmBundler.unref(w)}, ${reactivity_esmBundler.unref(h) - 10}`
          }, null, 8, _hoisted_8),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            class: "go-border-line-w-5",
            stroke: reactivity_esmBundler.unref(colors)[1],
            points: `0, ${reactivity_esmBundler.unref(h) - 10} 0, ${reactivity_esmBundler.unref(h)} 10, ${reactivity_esmBundler.unref(h)}`
          }, null, 8, _hoisted_9)
        ], 8, _hoisted_1))
      ], 4);
    };
  }
});
exports.default = _sfc_main;
